/* 
    Document   : grid
    Created on : 2012-02-5, 15:30:00
    Author     : MyFreak.pl
    Description:
        Szablon standardowy siatki strony
*/
body {
    min-width: 960px;
}

/* Container
------------------------------------------------------------------------------*/

.container {
    margin-left: auto;
    margin-right: auto;
    width: 960px;
}

/* Grid >> Global
------------------------------------------------------------------------------*/

.grid_1,
.grid_2,
.grid_3,
.grid_4,
.grid_5,
.grid_6,
.grid_7,
.grid_8,
.grid_9,
.grid_10,
.grid_11,
.grid_12,
.grid_13,
.grid_14,
.grid_15,
.grid_16,
.grid_17,
.grid_18,
.grid_19,
.grid_20,
.grid_21,
.grid_22,
.grid_23,
.grid_24 {
    display: inline;
    float: left;
    margin-left: 5px;
    margin-right: 5px;
}

/* Grid >> Children
------------------------------------------------------------------------------*/

.first {
    margin-left: 0;
}

.last {
    margin-right: 0;
}

/* Grid >> 24 Columns
------------------------------------------------------------------------------*/

.container .grid_1 {
    width: 30px;
}

.container .grid_2 {
    width: 70px;
}

.container .grid_3 {
    width: 110px;
}

.container .grid_4 {
    width: 150px;
}

.container .grid_5 {
    width: 190px;
}

.container .grid_6 {
    width: 230px;
}

.container .grid_7 {
    width: 270px;
}

.container .grid_8 {
    width: 310px;
}

.container .grid_9 {
    width: 350px;
}

.container .grid_10 {
    width: 390px;
}

.container .grid_11 {
    width: 430px;
}

.container .grid_12 {
    width: 470px;
}

.container .grid_13 {
    width: 510px;
}

.container .grid_14 {
    width: 550px;
}

.container .grid_15 {
    width: 590px;
}

.container .grid_16 {
    width: 630px;
}

.container .grid_17 {
    width: 670px;
}

.container .grid_18 {
    width: 710px;
}

.container .grid_19 {
    width: 750px;
}

.container .grid_20 {
    width: 790px;
}

.container .grid_21 {
    width: 830px;
}

.container .grid_22 {
    width: 870px;
}

.container .grid_23 {
    width: 910px;
}

.container .grid_24 {
    width: 950px;
}

/* Prefix >> 24 Columns
------------------------------------------------------------------------------*/

.container .prefix_1 {
    padding-left: 40px;
}

.container .prefix_2 {
    padding-left: 80px;
}

.container .prefix_3 {
    padding-left: 120px;
}

.container .prefix_4 {
    padding-left: 160px;
}

.container .prefix_5 {
    padding-left: 200px;
}

.container .prefix_6 {
    padding-left: 240px;
}

.container .prefix_7 {
    padding-left: 280px;
}

.container .prefix_8 {
    padding-left: 320px;
}

.container .prefix_9 {
    padding-left: 360px;
}

.container .prefix_10 {
    padding-left: 400px;
}

.container .prefix_11 {
    padding-left: 440px;
}

.container .prefix_12 {
    padding-left: 480px;
}

.container .prefix_13 {
    padding-left: 520px;
}

.container .prefix_14 {
    padding-left: 560px;
}

.container .prefix_15 {
    padding-left: 600px;
}

.container .prefix_16 {
    padding-left: 640px;
}

.container .prefix_17 {
    padding-left: 680px;
}

.container .prefix_18 {
    padding-left: 720px;
}

.container .prefix_19 {
    padding-left: 760px;
}

.container .prefix_20 {
    padding-left: 800px;
}

.container .prefix_21 {
    padding-left: 840px;
}

.container .prefix_22 {
    padding-left: 880px;
}

.container .prefix_23 {
    padding-left: 920px;
}

/* Suffix >> 24 Columns
------------------------------------------------------------------------------*/

.container .suffix_1 {
    padding-right: 40px;
}

.container .suffix_2 {
    padding-right: 80px;
}

.container .suffix_3 {
    padding-right: 120px;
}

.container .suffix_4 {
    padding-right: 160px;
}

.container .suffix_5 {
    padding-right: 200px;
}

.container .suffix_6 {
    padding-right: 240px;
}

.container .suffix_7 {
    padding-right: 280px;
}

.container .suffix_8 {
    padding-right: 320px;
}

.container .suffix_9 {
    padding-right: 360px;
}

.container .suffix_10 {
    padding-right: 400px;
}

.container .suffix_11 {
    padding-right: 440px;
}

.container .suffix_12 {
    padding-right: 480px;
}

.container .suffix_13 {
    padding-right: 520px;
}

.container .suffix_14 {
    padding-right: 560px;
}

.container .suffix_15 {
    padding-right: 600px;
}

.container .suffix_16 {
    padding-right: 640px;
}

.container .suffix_17 {
    padding-right: 680px;
}

.container .suffix_18 {
    padding-right: 720px;
}

.container .suffix_19 {
    padding-right: 760px;
}

.container .suffix_20 {
    padding-right: 800px;
}

.container .suffix_21 {
    padding-right: 840px;
}

.container .suffix_22 {
    padding-right: 880px;
}

.container .suffix_23 {
    padding-right: 920px;
}

/* Clear Floated Elements
------------------------------------------------------------------------------*/

/* http://sonspring.com/journal/clearing-floats */

.clear {
    clear: both;
    display: block;
    overflow: hidden;
    visibility: hidden;
    width: 0;
    height: 0;
}

/* http://www.yuiblog.com/blog/2010/09/27/clearfix-reloaded-overflowhidden-demystified */

.clearfix:before,
.clearfix:after,
.container:before,
.container:after {
    content: '.';
    display: block;
    overflow: hidden;
    visibility: hidden;
    font-size: 0;
    line-height: 0;
    width: 0;
    height: 0;
}

.clearfix:after,
.container:after {
    clear: both;
}

.clearfix,
.container {
    zoom: 1;
}